id3lib 3.8.3

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | List of all members
ID3_FrameHeader Class Reference

`#include <header_frame.h>`

Inheritance diagram for ID3_FrameHeader:

## Public Types
enum | { TAGALTER = 1 << 15, FILEALTER = 1 << 14, READONLY = 1 << 13, COMPRESSION = 1 << 7, ENCRYPTION = 1 << 6, GROUPING = 1 << 5 }

## Public Member Functions
| ID3_FrameHeader ()
virtual | ~ID3_FrameHeader ()
size_t | Size () const
bool | Parse (ID3_Reader &)
void | Render (ID3_Writer &) const
bool | SetFrameID (ID3_FrameID id)
ID3_FrameID | GetFrameID () const
const char * | GetTextID () const
const ID3_FrameDef * | GetFrameDef () const
bool | Clear ()
ID3_FrameHeader & | operator= (const ID3_FrameHeader &)
bool | SetCompression (bool b)
bool | SetEncryption (bool b)
bool | SetGrouping (bool b)
bool | GetCompression () const
bool | GetEncryption () const
bool | GetGrouping () const
bool | GetReadOnly () const
void | SetUnknownFrame (const char *)
Public Member Functions inherited from ID3_Header
| ID3_Header ()
virtual | ~ID3_Header ()
virtual bool | SetSpec (ID3_V2Spec)
ID3_V2Spec | GetSpec () const
bool | SetDataSize (size_t size)
size_t | GetDataSize () const
ID3_Header & | operator= (const ID3_Header &rhs)

## Protected Member Functions
bool | SetFlags (uint16 f, bool b)

## Additional Inherited Members
Protected Attributes inherited from ID3_Header
ID3_V2Spec | _spec
size_t | _data_size
ID3_Flags | _flags
Info * | _info
bool | _changed

## Detailed Description

Definition at line 36 of file header_frame.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
TAGALTER |
FILEALTER |
READONLY |
COMPRESSION |
ENCRYPTION |
GROUPING |

Definition at line 40 of file header_frame.h.

## Constructor & Destructor Documentation

ID3_FrameHeader::ID3_FrameHeader | ( |  | ) |
| inline

Definition at line 50 of file header_frame.h.

virtual ID3_FrameHeader::~ID3_FrameHeader | ( |  | ) |
| inline virtual

Definition at line 51 of file header_frame.h.

## Member Function Documentation

bool ID3_FrameHeader::Clear | ( |  | ) |
| virtual

Reimplemented from ID3_Header.

Definition at line 225 of file header_frame.cpp.

bool ID3_FrameHeader::GetCompression | ( |  | ) | const
| inline

Definition at line 67 of file header_frame.h.

bool ID3_FrameHeader::GetEncryption | ( |  | ) | const
| inline

Definition at line 68 of file header_frame.h.

const ID3_FrameDef * ID3_FrameHeader::GetFrameDef | ( |  | ) | const

Definition at line 220 of file header_frame.cpp.

ID3_FrameID ID3_FrameHeader::GetFrameID | ( |  | ) | const

Definition at line 209 of file header_frame.cpp.

bool ID3_FrameHeader::GetGrouping | ( |  | ) | const
| inline

Definition at line 69 of file header_frame.h.

bool ID3_FrameHeader::GetReadOnly | ( |  | ) | const
| inline

Definition at line 70 of file header_frame.h.

const char * ID3_FrameHeader::GetTextID | ( |  | ) | const

Definition at line 163 of file header_frame.cpp.

ID3_FrameHeader & ID3_FrameHeader::operator= | ( | const ID3_FrameHeader & | hdr | ) |

Definition at line 180 of file header_frame.cpp.

bool ID3_FrameHeader::Parse | ( | ID3_Reader & | reader | ) |
| virtual

Implements ID3_Header.

Definition at line 91 of file header_frame.cpp.

void ID3_FrameHeader::Render | ( | ID3_Writer & | writer | ) | const
| virtual

Implements ID3_Header.

Definition at line 135 of file header_frame.cpp.

bool ID3_FrameHeader::SetCompression | ( | bool | b | ) |
| inline

Definition at line 63 of file header_frame.h.

bool ID3_FrameHeader::SetEncryption | ( | bool | b | ) |
| inline

Definition at line 64 of file header_frame.h.

bool ID3_FrameHeader::SetFlags | ( | uint16 | f,
|  | bool | b
| ) |  |
| inline protected

Definition at line 74 of file header_frame.h.

bool ID3_FrameHeader::SetFrameID | ( | ID3_FrameID | id | ) |

Definition at line 65 of file header_frame.cpp.

bool ID3_FrameHeader::SetGrouping | ( | bool | b | ) |
| inline

Definition at line 65 of file header_frame.h.

void ID3_FrameHeader::SetUnknownFrame | ( | const char * | id | ) |

Definition at line 38 of file header_frame.cpp.

size_t ID3_FrameHeader::Size | ( |  | ) | const
| virtual

Implements ID3_Header.

Definition at line 79 of file header_frame.cpp.

The documentation for this class was generated from the following files:

- src/header_frame.h
- src/header_frame.cpp